OWTEMP(4) | Kernel Interfaces Manual | OWTEMP(4)

# NAME

owtemp — 1-Wire temperature family type device

# SYNOPSIS

owtemp* at onewire?

# DESCRIPTION

The owtemp driver provides support for the 1-Wire temperature sensor. The sensor possesses a single temperature value that can be accessed through the envsys(4) interface.

The following chips are supported by the driver:

- Maxim/Dallas DS18B20, DS1822, DS1920

# SEE ALSO

envsys(4), intro(4), onewire(4), envstat(8)

# HISTORY

The owtemp driver first appeared in OpenBSD 4.0 and NetBSD 4.0.

# AUTHORS

The owtemp driver was written by Alexander Yurchenko <grange@openbsd.org> and was ported to NetBSD by Jeff Rizzo <riz@NetBSD.org>.

April 4, 2006 | NetBSD 6.0